<?php
include('common.php');
$power = check_power();
$help = "";
if($power == 1)
{
	echo '网站目录写入权限不足，请更改权限后重试！' . $help;
}elseif($power == 2){
	echo '网站目录修改权限不足，请更改权限后重试！' . $help;
}elseif(!function_exists('curl_init')){
	echo 'curl_init()函数不可用，请修改服务器配置后重试！' . $help;
}elseif(!function_exists('curl_setopt')){
	echo 'curl_setopt()函数不可用，请修改服务器配置后重试！' . $help;
}elseif(!function_exists('curl_exec')){
	echo 'curl_exec()函数不可用，请修改服务器配置后重试！' . $help;
}else{
	echo 1;
}
function check_power()
{
	$test_file = './test.txt';
	if(!@fopen($test_file,'wb'))
	{
		return 1;
	}elseif(!@unlink($test_file)){
		return 2;
	}
	return 9;
}
?>